Name: dnsanon
Version: 1.13
Release: 2%{?dist}
License: GPLv2

%global release 2

Summary: Tool to extract DNS traffic from pcap to text with optionally anonymization

URL: https://ant.isi.edu/software/dnsanon/
%if 1%{release}
Source0: https://ant.isi.edu/software/dnsanon/dnsanon-%{version}-%{release}.tar.gz
%else
Source0: https://ant.isi.edu/software/dnsanon/dnsanon-%{version}.tar.gz
%endif

BuildRequires:  pandoc
BuildRequires:  ldns-devel
BuildRequires:  libtrace-devel
BuildRequires:  openssl-devel
BuildRequires:  libpcap-devel
BuildRequires:  libwandio-devel
BuildRequires:  xz-devel
BuildRequires:  bzip2-devel
BuildRequires:  lzo-devel
BuildRequires:  lz4-devel
BuildRequires:  gcc-c++
BuildRequires:  cryptopANT
Requires: ldns
Requires: libtrace
Requires: openssl-libs
Requires: libpcap
Requires: libwandio
Requires: xz
Requires: bzip2
Requires: lzo
Requires: lz4
Requires: cryptopANT

%description
Dnsanon reads pcap files, extracts DNS traffic,
and writes it to several plain-text tables (in Fsdb format).
Optionally it anonymizes the IP addresses and queries.


%prep
%setup -q -n dnsanon-%{version}-%{release}

%build
make dnsanon_static

%install
make install_static DESTDIR=$RPM_BUILD_ROOT

%files
%doc README COPYING
%{_bindir}/dnsanon
%{_mandir}/man1/*.1*

%changelog
* Thu Apr 11 2019 Yuri Pradkin <yuri@isi.edu> 1.10-1
- See https://ant.isi.edu/software/dnsanon/
* Thu Apr 30 2015 John Heidemann <johnh@isi.edu> 1.9-1
- See https://ant.isi.edu/software/dnsanon/
